diff --git a/doc/src/sgml/postgres-fdw.sgml b/doc/src/sgml/postgres-fdw.sgml
index b43d0aecba..23743435e0 100644
--- a/doc/src/sgml/postgres-fdw.sgml
+++ b/doc/src/sgml/postgres-fdw.sgml
@@ -460,11 +460,11 @@ OPTIONS (ADD password_required 'false');
    <title>Transaction Management Options</title>
 
    <para>
-    When multiple remote (sub)transactions are involved in a local
-    (sub)transaction, by default <filename>postgres_fdw</filename> commits
-    those remote (sub)transactions one by one when the local (sub)transaction
-    commits.
-    Performance can be improved with the following option:
+    When multiple remote transactions or subtransactions are involved in a
+    local transaction (or subtransaction) on a foreign server,
+    <filename>postgres_fdw</filename> by default commits those remote
+    transactions serially when the local transaction commits. Performance can be
+    improved with the following option:
    </para>
 
    <variablelist>
@@ -473,27 +473,25 @@ OPTIONS (ADD password_required 'false');
      <term><literal>parallel_commit</literal> (<type>boolean</type>)</term>
      <listitem>
       <para>
-       This option controls whether <filename>postgres_fdw</filename> commits
-       remote (sub)transactions opened on a foreign server in a local
-       (sub)transaction in parallel when the local (sub)transaction commits.
-       This option can only be specified for foreign servers, not per-table.
-       The default is <literal>false</literal>.
+       This option controls whether <filename>postgres_fdw</filename> commits in
+       parallel remote transactions opened on a foreign server in a local
+       transaction when the local transaction is committed. This setting
+       applies to remote and local substransactions. This option can only be
+       specified for foreign servers, not per-table. The default is
+       <literal>false</literal>.
       </para>
 
       <para>
-       If multiple foreign servers with this option enabled are involved in
-       a local (sub)transaction, multiple remote (sub)transactions opened on
-       those foreign servers in the local (sub)transaction are committed in
-       parallel across those foreign servers when the local (sub)transaction
-       commits.
+       If multiple foreign servers with this option enabled have a local
+       transaction, multiple remote transactions on those foreign servers are
+       committed in parallel across those foreign servers when the local
+       transaction is committed.
       </para>
 
       <para>
-       For a foreign server with this option enabled, if many remote
-       (sub)transactions are opened on the foreign server in a local
-       (sub)transaction, this option might increase the remote server's load
-       when the local (sub)transaction commits, so be careful when using this
-       option.
+       When this option is enabled, a foreign server with many remote
+       transactions may see a negative performance impact when the local
+       transaction is committed.
       </para>
      </listitem>
     </varlistentry>
